package org.rcisoft.integration.aep.Controller;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.integration.jieLink.dto.JieLinkResultDto;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/aep")
public class AepPushController {


    /**
     * 门磁推送数据接口
     * @param data
     * @return
     */
    @ApiOperation(value="AEP平台集成", notes="门磁数据订阅")
    @PostMapping(value = "/pushData")
    public JieLinkResultDto pushData(@RequestBody JSONObject data) {
        JieLinkResultDto result = new JieLinkResultDto();
        log.info(data.toJSONString());
        return result;
    }

}
