package org.rcisoft.integration.jieLink.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 认证Token对象
 */
@Data
public class SignDto {

    /**
     * 应用接入渠道编码
     * 接口请求返回
     */
    private String appId;

    /**
     * 接口版本号
     */
    private String v ="1.0";

    /**
     * 签名随机数
     */
    private String random;

    /**
     * 签名时间戳
     */
    private String timestamp;

    /**
     * 签名
     */
    private String sign;

    /**
     * 签名秘钥
     */
    private String key;



}
