package org.rcisoft.sys.sysuser.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2022年11月17日 下午4:03:19.
*/
@Data
@TableName("sys_dict_data")
public class SysDictData  extends CyIdIncreEntity<SysDictData> {

     //三级地址
     private String diZhi;

     /**
     * @desc 字典排序
     * @column dict_sort
     * @default 
     */
     @Excel(name = "字典排序", orderNum = "0", width = 20)
     private Integer dictSort;

     /**
     * @desc 字典标签
     * @column dict_label
     * @default 
     */
     @Excel(name = "字典标签", orderNum = "1", width = 20)
     private String dictLabel;

     /**
     * @desc 字典键值
     * @column dict_value
     * @default 
     */
     @Excel(name = "字典键值", orderNum = "2", width = 20)
     private String dictValue;

     /**
     * @desc 字典类型
     * @column dict_type
     * @default 
     */
     @Excel(name = "字典类型", orderNum = "3", width = 20)
     private String dictType;

     /**
     * @desc 样式属性（其他样式扩展）
     * @column css_class
     * @default 
     */
     @Excel(name = "样式属性（其他样式扩展）", orderNum = "4", width = 20)
     private String cssClass;

     /**
     * @desc 表格回显样式
     * @column list_class
     * @default 
     */
     @Excel(name = "表格回显样式", orderNum = "5", width = 20)
     private String listClass;

     /**
     * @desc 是否默认（y是 n否）
     * @column is_default
     * @default 
     */
     @Excel(name = "是否默认（y是 n否）", orderNum = "6", width = 20)
     private String isDefault;


}

