package org.rcisoft.tencent.service;

import org.rcisoft.tencent.dto.UserDto;

import java.util.Map;

/**
 * Created with family.
 * author: cy
 * Date: 2021/5/10
 * Time: 3:41 PM
 * description:
 */
public interface CyWxMiniService {
    /**
     * 获取用户个人信息
     * @param userId
     * @return
     */
    UserDto getUserInfo(Integer userId);

    /**
     * 验证登录
     *
     * @param code
     * @param userType
     * @return
     */
    Map<String, Object> validLogin(String code, String userType, String token);

    /**
     * 手机登录
     *
     * @param encryptedData
     * @param iv
     * @param openId
     * @return
     */
    Map<String, Object> phoneLogin(String userType,String encryptedData, String iv, String openId);

    /**
     * 保存profile
     *
     * @param nickName
     * @param avatarUrl
     * @param gender
     * @param address
     * @return
     */
    Map<String, Object> saveUserProfile(String nickName, String avatarUrl, String gender, String address, String token);

}
