package org.rcisoft.sys.sysrole.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.rbac.role.entity.SysRoleRbac;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.sys.wbac.role.dto.SysRoleDTO;
import org.rcisoft.sys.wbac.role.entity.SysRole;


/**
 * Created by cy on 2022年11月21日 下午5:13:38.
 */
public interface SysRoleService {

    /**
    * 保存 角色信息表
    * @param sysRole
    * @return
    */
    CyPersistModel persist(SysRoleRbac sysRole);



    /**
    * 修改 角色信息表
    * @param sysRole
    * @return
    */
    CyPersistModel merge(SysRoleRbac sysRole);


    IPage<SysRole> findAllByPagination(CyPageInfo<SysRoleRbac> var1, SysRoleDTO var2);

    CyPersistModel updateRoleStatus(SysRoleRbac sysRole);
}
