package org.rcisoft.sys.sysuser.dao;

import org.apache.ibatis.annotations.Mapper;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.sysuser.entity.SysUserRole;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import javax.mail.MailSessionDefinition;
import java.util.List;

/**
 * Created with cy on 2022年11月21日 下午3:35:29.
 */
@Mapper
public interface SysUserRoleRepository extends CyBaseMapper<SysUserRole> {


    List<SysUserRole> querySysUserRoles(@Param("entity") SysUserRole sysUserRole);


    /**
     * 分页查询 sysUserRole
     */
    IPage<SysUserRole> querySysUserRolesPaged(CyPageInfo cyPageInfo, @Param("entity") SysUserRole sysUserRole);

    //添加
    int addRoles(SysUserRole sysUserRole);

    //查询角色
    List<SysUserRole> querySysUserRolesById(Integer businessId);

    //删除角色
    int delRoles(Integer businessId);
}

