package org.rcisoft.sys.visit.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ExportVisitUserDTO {

    @ApiModelProperty(name = "name", value = "姓名", required = true, dataType = "varchar")
    @Excel(name = "姓名", orderNum = "0", width = 20.0)
    private String name;

    @ApiModelProperty(name = "phone", value = "手机号", required = true, dataType = "varchar")
    @Excel(name = "手机号", orderNum = "1", width = 20.0)
    private String phone;

}
